svn_status
TCP
SVN Functions
PHP Manual

# svn_update

Update working copy

### Description

int svn_update ( string `$path` [, int `$revno` = SVN_REVISION_HEAD [, bool `$recurse` = true ]] )

Update working copy at `path` to revision `revno`. If `recurse` is true, directories will be recursively updated.

### Parameters

`path`

  Path to local working copy.

  > Note: Relative paths will be resolved as if the current working directory was the one that contains the PHP binary. To use the calling script's working directory, use realpath or dirname(__FILE__).

`revno`

  Revision number to update to, default is `SVN_REVISION_HEAD`.

`recurse`

  Whether or not to recursively update directories.

### Return Values

Returns new revision number on success, returns `FALSE` on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Examples

Example #1 Basic example

This example demonstrates basic usage of this function:

`<?php
echo svn_update(realpath('working-copy'));
?>`

The above example will output something similar to:

    234

### See Also

- svn_checkout
- svn_commit
- » SVN documentation for svn update